import Vue from "vue";
import Router from "vue-router";
/* Layout */

import index from "@/views/activityPage/index.vue";
Vue.use(Router);
console.log(111);

export const constantRoutes = [
    {
        path: "/H5.html/:key",
        component: index,
    },
];

// 防止连续点击多次路由报错
let routerPush = Router.prototype.push;
Router.prototype.push = function push(location) {
    return routerPush.call(this, location).catch((err) => err);
};

export default new Router({
    base: process.env.VUE_APP_APP_NAME ? process.env.VUE_APP_APP_NAME : "/",
    mode: "history", // 去掉url中的#
    scrollBehavior: () => ({ y: 0 }),
    routes: constantRoutes,
});
