var sensors = require('sa-sdk-javascript'); 
sensors.init({
  // 接收地址
  server_url: 'https://data.mige.tv/tsa/sdata/sa?project=huodong&ptype=testDIY',
  // 单页面
  // is_track_single_page:true, // 单页面配置，默认开启，若页面中有锚点设计，需要将该配置删除，否则触发锚点会多触发 $pageview 事件
  // 时间采集
  use_client_time:true, 
  // 
  show_log: true,

  // send_type:'beacon',
  heatmap: {
     //是否开启点击图，default 表示开启，自动采集 $WebClick 事件，可以设置 'not_collect' 表示关闭。
    //  clickmap:'default',
     clickmap:'not_collect',
     //是否开启触达图，not_collect 表示关闭，不会自动采集 $WebStay 事件，可以设置 'default' 表示开启。
     scroll_notice_map:'not_collect'
  }
});
  // 配置全局属性

// sensors.registerPage(Object.assign({}, defaultCommonProps, options.commonProps));

// sensors.quick('autoTrack'); //用于采集 $pageview 事件。
export default sensors